diff -Nru source-org/org/jivesoftware/smackx/jingle/JingleManager.java source/org/jivesoftware/smackx/jingle/JingleManager.java
--- source-org/org/jivesoftware/smackx/jingle/JingleManager.java	2009-09-25 18:06:18.671020248 +0200
+++ source/org/jivesoftware/smackx/jingle/JingleManager.java	2009-09-25 18:28:51.645104395 +0200
@@ -255,7 +255,7 @@
      */
     public static void setJingleServiceEnabled() {
         ProviderManager providerManager = ProviderManager.getInstance();
-        providerManager.addIQProvider("jingle", "urn:xmpp:tmp:jingle", new JingleProvider());
+        providerManager.addIQProvider("jingle", "urn:xmpp:jingle:1", new JingleProvider());
 
         // Enable the Jingle support on every established connection
         // The ServiceDiscoveryManager class should have been already
@@ -623,4 +623,4 @@
             }
         }
     }
-}
\ Pas de fin de ligne à la fin du fichier.
+}
diff -Nru source-org/org/jivesoftware/smackx/packet/JingleContentDescription.java source/org/jivesoftware/smackx/packet/JingleContentDescription.java
--- source-org/org/jivesoftware/smackx/packet/JingleContentDescription.java	2009-09-25 18:06:18.676020534 +0200
+++ source/org/jivesoftware/smackx/packet/JingleContentDescription.java	2009-09-25 18:29:00.788020599 +0200
@@ -172,7 +172,7 @@
      */
     public static class Audio extends JingleContentDescription {
 
-        public static final String NAMESPACE = "urn:xmpp:tmp:jingle:apps:rtp";
+        public static final String NAMESPACE = "urn:xmpp:jingle:apps:rtp:1";
 
         public Audio() {
             super();
diff -Nru source-org/org/jivesoftware/smackx/packet/JingleContentInfo.java source/org/jivesoftware/smackx/packet/JingleContentInfo.java
--- source-org/org/jivesoftware/smackx/packet/JingleContentInfo.java	2009-09-25 18:06:18.677020522 +0200
+++ source/org/jivesoftware/smackx/packet/JingleContentInfo.java	2009-09-25 18:29:10.384025608 +0200
@@ -96,7 +96,7 @@
      */
     public static class Audio extends JingleContentInfo {
 
-        public static final String NAMESPACE = "urn:xmpp:tmp:jingle:apps:rtp";
+        public static final String NAMESPACE = "urn:xmpp:jingle:apps:rtp:1";
 
         public Audio(final ContentInfo mi) {
             super(mi);
diff -Nru source-org/org/jivesoftware/smackx/packet/JingleDescription.java source/org/jivesoftware/smackx/packet/JingleDescription.java
--- source-org/org/jivesoftware/smackx/packet/JingleDescription.java	2009-09-25 18:06:18.677020522 +0200
+++ source/org/jivesoftware/smackx/packet/JingleDescription.java	2009-09-25 18:42:05.559023786 +0200
@@ -179,7 +179,7 @@
      */
     public static class Audio extends JingleDescription {
 
-        public static final String NAMESPACE = "urn:xmpp:tmp:jingle:apps:rtp";
+        public static final String NAMESPACE = "urn:xmpp:jingle:apps:rtp:1";
 
         public Audio() {
             super();
diff -Nru source-org/org/jivesoftware/smackx/packet/JingleError.java source/org/jivesoftware/smackx/packet/JingleError.java
--- source-org/org/jivesoftware/smackx/packet/JingleError.java	2009-09-25 18:06:18.677020522 +0200
+++ source/org/jivesoftware/smackx/packet/JingleError.java	2009-09-25 18:29:32.331099677 +0200
@@ -27,7 +27,7 @@
 
 public class JingleError implements PacketExtension {
 
-    public static String NAMESPACE = "urn:xmpp:tmp:jingle:errors";
+    public static String NAMESPACE = "urn:xmpp:jingle:errors:1";
 
     public static final JingleError OUT_OF_ORDER = new JingleError("out-of-order");
 
diff -Nru source-org/org/jivesoftware/smackx/packet/Jingle.java source/org/jivesoftware/smackx/packet/Jingle.java
--- source-org/org/jivesoftware/smackx/packet/Jingle.java	2009-09-25 18:06:18.676020534 +0200
+++ source/org/jivesoftware/smackx/packet/Jingle.java	2009-09-25 18:29:39.937485756 +0200
@@ -44,7 +44,7 @@
 
     // static
 
-    public static final String NAMESPACE = "urn:xmpp:tmp:jingle";
+    public static final String NAMESPACE = "urn:xmpp:jingle:1";
 
     public static final String NODENAME = "jingle";
 
diff -Nru source-org/org/jivesoftware/smackx/packet/JingleTransport.java source/org/jivesoftware/smackx/packet/JingleTransport.java
--- source-org/org/jivesoftware/smackx/packet/JingleTransport.java	2009-09-25 18:06:18.676020534 +0200
+++ source/org/jivesoftware/smackx/packet/JingleTransport.java	2009-09-25 18:44:09.198082560 +0200
@@ -270,7 +270,7 @@
      * RTP-ICE profile
      */
     public static class Ice extends JingleTransport {
-        public static final String NAMESPACE = "urn:xmpp:tmp:jingle:transports:ice-udp";
+        public static final String NAMESPACE = "urn:xmpp:jingle:transports:ice-udp:1";
 
         public Ice() {
             super();
@@ -352,7 +352,7 @@
      * Raw UDP profile.
      */
     public static class RawUdp extends JingleTransport {
-        public static final String NAMESPACE = "http://www.xmpp.org/extensions/xep-0177.html#ns";
+        public static final String NAMESPACE = "urn:xmpp:jingle:transports:ice-udp:1";
 
         public RawUdp() {
             super();
